import { TpRtbBaseExtension } from './tp-rtb-base-extension.js';

class TpRtbClearFormat extends TpRtbBaseExtension {
  constructor() {
    super();
    this.label = 'Clear Format';
  }

  _handleClick() {
    if (this.parentEditor && this.parentEditor.editor) {
      this.parentEditor.editor.chain().focus().unsetAllMarks().run();
    }
  }
}

customElements.define('tp-rtb-clear-format', TpRtbClearFormat);
